# DataGridViewCellParsingEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [ConvertEventArgs](/api/wisej.web/data-binding/wisej.web.converteventargs.md)
  * [DataGridViewCellParsingEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellparsingeventargs.md)

Provides data for the [CellParsing](/api/wisej.web/lists-and-grids/datagridview.md#cellparsing) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DataGridViewCellParsingEventArgs : ConvertEventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DataGridViewCellParsingEventArgs
    Inherits ConvertEventArgs
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DataGridViewCellParsingEventArgs(rowIndex, columnIndex, value, desiredType, inheritedCellStyle)

Initializes a new instance of the [DataGridViewCellParsingEventArgs](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellparsingeventargs.md) class.

| Name                   | Type                                                                                                    | Description                                     |
| ---------------------- | ------------------------------------------------------------------------------------------------------- | ----------------------------------------------- |
| **rowIndex**           | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                             | The row index of the cell that was changed.     |
| **columnIndex**        | [Int32](https://docs.microsoft.com/dotnet/api/system.int32)                                             | The column index of the cell that was changed.  |
| **value**              | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                           | The new value.                                  |
| **desiredType**        | [Type](https://docs.microsoft.com/dotnet/api/system.type)                                               | The type of the new value.                      |
| **inheritedCellStyle** | [DataGridViewCellStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md) | The style applied to the cell that was changed. |

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) ColumnIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the column index of the cell data that requires parsing.

### ![](/files/hsR4ok3152WyAf8J2C1u) InheritedCellStyle

[DataGridViewCellStyle](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md): Returns or sets the style applied to the edited cell.

### ![](/files/hsR4ok3152WyAf8J2C1u) ParsingApplied

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether a cell's value has been successfully parsed.

### ![](/files/hsR4ok3152WyAf8J2C1u) RowIndex

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the row index of the cell that requires parsing.

## Used By

| Name                                                                                                                                | Description                                                                                                                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [DataGridViewCellParsingEventHandler](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellparsingeventhandler.md) | Represents the method that will handle a [CellParsing](/api/wisej.web/lists-and-grids/datagridview.md#cellparsing) event of a [DataGridView](/api/wisej.web/lists-and-grids/datagridview.md). |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellparsingeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
